// import REST from 'vuejs/api/rest-axios'
// import JSONAPI from 'vuejs/api/json-axios'
// import qs from 'querystring-es3'

export default {
  namespaced: true,

  // initial state
  state: {
    pagetitle: null,
    hamburgerMenuToggle: document.querySelector('input#header-block-right-toggle')
  },

  // getters
  getters: {},

  // mutations
  mutations: {
    setPagetitle (state, title) {
      console.log('Common, setPagetitle', title)
      state.pagetitle = title
    },
    setHamMenuState (state, s) {
      state.hamburgerMenuToggle.checked = s
    }
  },

  // actions
  actions: {
    openCloseHamMenu ({ dispatch, commit, state }, s) {
      console.log('openCloseHamMenu', s)
      commit('setHamMenuState', s)
    }
  }

}
